%define	module	nag
%define	name	horde-%{module}
%define version	1.1.1
%define release	5mdk
%define order	72
#New ADVX macros
%{expand:%(cat  %{_datadir}/ADVX/ADVX-build)}

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:	The Horde task list application
License:	GPL
Group: 		System/Servers
Source0: 	%{module}-%{version}.tar.bz2
Source1:	%{module}-apache.conf.bz2
Source2:	%{module}-horde.conf.bz2
Patch0:		%{module}-conf-storage.patch.bz2
URL:		http://www.horde.org/nag/
Requires:	horde >= 2.2.5-2mdk
Provides:	%{module}
Obsoletes:	%{module}
BuildRequires:	ADVX-build >= 1.2
BuildArch:	noarch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root

%description
Nag is the Horde task list application. It stores todo items, things
due later this week, etc. It is very similar in functionality to the
Palm ToDo application.

The Horde Project writes web applications in PHP and releases them under
Open Source licenses.  For more information (including help with Nag)
please visit http://www.horde.org/.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1

%build

%install
rm -rf $RPM_BUILD_ROOT

# apache configuration
install -d -m 755 $RPM_BUILD_ROOT%{ap_base}/webapps.d
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{ap_base}/webapps.d/%{order}_%{name}.conf

# horde configuration
install -d -m 755 $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/config/registry.d
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/config/registry.d/%{module}.php

# install files
install -d -m 755 $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{module}
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{module}
cp -pR * $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{module}
cp -pR scripts/* $RPM_BUILD_ROOT%{_datadir}/%{module}

# post-install cleanup
rm -f $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{module}/COPYING
rm -f $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{module}/README
rm -rf $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{module}/scripts
rm -rf $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{module}/docs
rm -rf $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{module}/po

# remove .htaccess files
find $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{module} -name .htaccess -exec rm -f {} \;

# activate configuration files
for file in $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{module}/config/*.dist; do
	mv $file ${file%.dist}
done

# specific setup instructions
cat > INSTALL.mdk <<EOF
If you made an Mandrake standard horde install with MySQL, just make:
mysql --user=root --password horde < %moduldir/scripts/drivers/%{module}_tasks.sql
mysqladmin --user=root --password reload
and put the horde MySQL password in
%moduldir/config/conf.php

See "CONFIGURING %{module}" in %moduldir/docs/INSTALL for further informations.
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%ADVXpost

%postun
%ADVXpost

%files
%defattr(-,root,root)
%doc COPYING README docs INSTALL.mdk
# Apache configuration file
%config(noreplace) %{ap_base}/webapps.d/%{order}_%{name}.conf
# Horde configuration file
%config(noreplace) %{ap_htdocsdir}/horde/config/registry.d/%{module}.php

%{_datadir}/%{module}
# top level dir and files
%dir %{ap_htdocsdir}/horde/%{module}
%{ap_htdocsdir}/horde/%{module}/*.php
# standard dirs
%{ap_htdocsdir}/horde/%{module}/graphics
%{ap_htdocsdir}/horde/%{module}/lib
%{ap_htdocsdir}/horde/%{module}/templates
%{ap_htdocsdir}/horde/%{module}/locale
# config files
%dir %{ap_htdocsdir}/horde/%{module}/config
%config(noreplace) %{ap_htdocsdir}/horde/%{module}/config/*.php

%changelog
* Mon Jul 19 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.1.1-5mdk 
- apache config file in %{ap_base}/webapps.d

* Sat May 01 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.1.1-4mdk
- renamed to %{name}
- pluggable horde configuration
- standard perms for %{ap_confd}/%{order}_%{name}.conf
- don't provide useless ADVXpackage virtual package

* Mon Apr 05 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.1.1-3mdk
- new version

* Sat Dec 20 2003 Guillaume Rousse <guillomovitch@mandrake.org> 1.1-2mdk
- untagged localisation files
- no more .htaccess files, use %{ap_confd}/%{order}_%{module}.conf instead
- scripts now in  %{_datadir}/{name}

* Tue Sep 09 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 1.1-1mdk
- 1.1
- moved to nag, as previous nag package doesn't exist anymore
- spec cleanup
- remove useless files from webroot (.dist, doc files, .po)
- properly tag localisation files
- drop apache1 integration
- fixed URL
- ADVX macros
- removed implicit dependencies
- bzipped2 all sources

* Thu Jan 16 2003 Yves Duret <yves@zarb.org> 1.0-4mdk
- rebuild.

* Wed Nov 27 2002 Yves Duret <yves@zarb.org> 1.0-3mdk
- fix dir name.

* Wed Nov 27 2002 Yves Duret <yves@zarb.org> 1.0-2mdk
- rename as horde-nag, cause nag already exists in main
  Network Administration Guide :(

* Thu Nov 14 2002 Yves Duret <yves@zarb.org> 1.0-1mdk
- first mandrake release.
- added an INSTALL.mdk to explain how to configure nag.
- based on Brent J. Nordquist <bjn@horde.org> SRPM
  and using my common spec file for horde module.

* Tue Jun 25 2002 Brent J. Nordquist <bjn@horde.org>
- 1.0 release 1

